# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Namespaces | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/FlatManipulator.h File Reference

`#include <vlCore/Vector3.hpp>`
`#include <vlCore/Vector4.hpp>`
`#include <vlGraphics/UIEventListener.hpp>`
`#include <vlGraphics/Camera.hpp>`
`#include <vlGraphics/Geometry.hpp>`

Go to the source code of this file.

## Classes

class | vl::FlatManipulator
| This class lets you pan (translate) and zoom a 2D scene using the mouse. More...

## Namespaces

namespace | vl

| Visualization Library namespace.

## Functions

vl::ref< vl::Geometry > | vl::makeScales (bool X=true, bool Y=true, bool Z=true, int numArmTicks=50, float mmStep=10, float mmTickSize=4, vl::fvec4 color=vl::fvec4(1, 1, 1, 1))
| Makes an orthogonal cross-hair scales (reticle).

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:43:51.
Permission is granted to use this page to write and publish articles regarding Visualization Library.